%CTENI VSTUPNICH DAT
%-----------------------------------------------------------
load uzel.dat;	%	Cte data spojena s uzly
%	rozdeleni do jednotlivych vektoru dle formatu dat:
Iuzel=uzel(:,1);%	cislo uzlu - kontinualne
UN=uzel(:,2);	%	jmenovite vztazne napeti
IGR=uzel(:,3); %Re  uzlovy proud, gen. system, conj(I).
IGI=uzel(:,4); %Im  uzlovy proud, gen. system, conj(I).
YUR1=uzel(:,5); %uzlova admitance 1 realna v S 
YUI1=uzel(:,6); %uzlova admitance 1 imaginarni v S 
YUR2=uzel(:,7); %uzlova admitance 2 realna v S 
YUI2=uzel(:,8); %uzlova admitance 2 imaginarni v S 
YUR0=uzel(:,9); %uzlova admitance 0 realna v S 
YUI0=uzel(:,10); %uzlova admitance 0 imaginarni v S 
ZBase=(UN .*UN)/SBase;  % Vztazna impedance
YU1=(YUR1 + j*YUI1).*ZBase;  %uzlova admitance v pu.
YU2=(YUR2 + j*YUI2).*ZBase;  %uzlova admitance v pu.
YU0=(YUR0 + j*YUI0).*ZBase;  %uzlova admitance v pu.
IG=(IGR + j*IGI).*ZBase ./UN;  %uzlovy proud v pu
NU=size(Iuzel,1);	% Celkovy pocet uzlu
%------------------------------------------------------------
load vetev.dat %	Cte data spojena s vetvemi
%ZU ma vyssi napeti,je u nej T.	Format dat:
Ivetev=vetev(:,1);%	cislo vetve-kontinualne
ZU=vetev(:,2);	%	cislo zacatecniho uzlu
KU=vetev(:,3);	%	cislo koncoveho uzlu
R=vetev(:,4);	%	odpor 1,2 vetve v ohm k ZU
X=vetev(:,5);	%	reaktance 1,2 vetve v ohm k ZU
B=vetev(:,6);	%	susceptance 1,2 v mikro_S k ZU, >0 pro C
R0=vetev(:,7);	%	odpor vetve 0 v ohm k ZU
X0=vetev(:,8);	%	reaktance vetve 0 v ohm k ZU
B0=vetev(:,9);	%	susceptance 0 v mikro_S k ZU
TR=vetev(:,10);	%RE  prevod u zacatecniho uzlu v p.u.
TI=vetev(:,11);	%IM prevod u zacatecniho uzlu v p.u.
T=TR +j*TI;
R=R ./ZBase(ZU); X=X ./ZBase(ZU); B=B .*ZBase(ZU)*1E-06;% prepocet do p.u.
R0=R0 ./ZBase(ZU); X0=X0 ./ZBase(ZU); B0=B0 .*ZBase(ZU)*1E-06;% prepocet do p.u.
NV=size(Ivetev,1);			% Celkovy pocet vetvi
clear uzel; clear vetev; % Mazani nepotrebnych vstupnich matic
%-----------------------------------------------------------------
%scenar poruch
load scenar.dat
BRANA=scenar(:,1);       % cislo brany
FAZE= scenar(:,2);       % a=1,b=2,c=3
K=scenar(:,3);           % 1. uzel  brany
L=scenar(:,4);           % 2. uzel  brany 0 je-li n
Rf=scenar(:,5);          % poruchova resistance vztazena na K
Xf=scenar(:,6);          % poruchova reaktance vztazena na K
Zf=(Rf+j*Xf) ./ZBase(K);
%------------------------------------------------------------------